Package net.sf.saxon.tree.jiter

## Class MappingJavaIterator<S,​T>

- java.lang.Object
- - net.sf.saxon.tree.jiter.MappingJavaIterator<S,​T>

- Type Parameters:
    `S` - the type of the input items
    `T` - the type of the delivered item
  All Implemented Interfaces:
    `java.util.Iterator<T>`

      public class MappingJavaIterator<S,​T>
      extends java.lang.Object
      implements java.util.Iterator<T>

  A Java Iterator which applies a mapping function to each item in an input sequence

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MappingJavaIterator​(java.util.Iterator<S> in, java.util.function.Function<S,​T> mapper)` | Create a mapping iterator

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `hasNext()` |
    `T` | `next()` |
    `void` | `remove()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining`

- - ### Constructor Detail

    - #### MappingJavaIterator

          public MappingJavaIterator​(java.util.Iterator<S> in,
                                     java.util.function.Function<S,​T> mapper)

      Create a mapping iterator
      Parameters:
        `in` - the input sequence
        `mapper` - the mapping function to be applied to each item in the ipnut sequence to generate the corresponding item in the result sequence

  - ### Method Detail

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in interface `java.util.Iterator<S>`

    - #### next

          public T next()

      Specified by:
        `next` in interface `java.util.Iterator<S>`

    - #### remove

          public void remove()

      Specified by:
        `remove` in interface `java.util.Iterator<S>`